<?

	if($go2=="zakup-wyposazenia-i-towaru" and $_POST['akcja']=="kupuje"){
		// to wyświetlenie kolejnego okienka
		header('Location: gra,zakup-wyposazenia-i-towaru,wybierz-dzialalnosc.html#'.$dane_gracza['pozycja']);
		// $czy_dalej = true;
	}elseif($go2=="zakup-wyposazenia-i-towaru" and $_POST['akcja']=="nie_kupuje"){
		$czy_dalej = true;
	}elseif($go2=="zakup-wyposazenia-i-towaru"){ // jeśli jest okienko

	}else{ // jeśli nie ma okienka to przekierowanie
		header('Location: gra,zakup-wyposazenia-i-towaru.html#'.$dane_gracza['pozycja']);
	}

	if($go2=="zakup-wyposazenia-i-towaru" and $go3=="wybierz-dzialalnosc" and $_POST['akcja']=="kupuje"){
		// to odejmujemy koszt zakupu wyposażenia i towaru od gotowki
		// zakupione wyposażenie i towar dodajemy do konkretnego miasta i działalności

		// dla wybranego typu dzialalności
		// $koszt_zakupu_wyposazenia_i_towaru['dzialalnosc_uslugi_napraw_dla_domu']

		// dla wybranego pola


		$temp = explode("#", $_POST['wybrana_dzialalnosc']);
		$id_pola = $temp[0];
		$alias_dzialalnosci = $temp[1];
		$ktora_dzialalnosc = $temp[2];

		// dodajemy szkolenie do dzialalności
		$update = mysql_query("UPDATE pola SET towar_wyposazenie_".$ktora_dzialalnosc."='1' WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND id_pola='".$id_pola."' LIMIT 1;");


		// odejmujemy gotówkę
		$dane_gracza['gotowka'] = $dane_gracza['gotowka']-$koszt_zakupu_wyposazenia_i_towaru[$alias_dzialalnosci];
		$update = mysql_query("UPDATE gracze SET gotowka='".$dane_gracza['gotowka']."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");


		$czy_dalej = true;
	}elseif($go2=="zakup-wyposazenia-i-towaru" and $go3=="wybierz-dzialalnosc" and $_POST['akcja']=="nie_kupuje"){
		$czy_dalej = true;
	}elseif($go2=="zakup-wyposazenia-i-towaru" and $go3=="wybierz-dzialalnosc"){ // jeśli jest okienko

		// jedna lista, miasto + dzialalnosc gdzie nie ma szkoleń
			// jak nie ma nic to info "Brak dzialalnosci do których można byłoby wykupić szkolenie."


			$lista_dzialalnosci = array();
			$sql = mysql_query("SELECT * FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND ((dzialalnosc_1!='0' AND towar_wyposazenie_1='0') OR (dzialalnosc_2!='0' AND towar_wyposazenie_2='0') OR (dzialalnosc_3!='0' AND towar_wyposazenie_3='0')) AND czas_gracza='-1'  ORDER BY  `pola`.`id_pola` ASC;");
			while($row = mysql_fetch_array($sql)){
				for($ktora_dzialalnosc=1;$ktora_dzialalnosc<=3;$ktora_dzialalnosc++){
					if($row['dzialalnosc_'.$ktora_dzialalnosc]){
						$lista_dzialalnosci[] = array('id_pola' => $row['id_pola'], 'nazwa_miasta' => $nazwa_miasta[$row['id_pola']], 'alias_dzialalnosci' => $row['dzialalnosc_'.$ktora_dzialalnosc], 'nazwa_dzialalnosci' => $nazwa_dzialalnosci[$row['dzialalnosc_'.$ktora_dzialalnosc]], 'koszt_wyposazenia_i_towaru' => $koszt_zakupu_wyposazenia_i_towaru[$row['dzialalnosc_'.$ktora_dzialalnosc]], 'ktora_dzialalnosc' => $ktora_dzialalnosc);
					}
				}
			}
			$tpl->assign('lista_dzialalnosci',$lista_dzialalnosci);

	}

?>